Subject: [dns-privacy] Core effort

From: Ted Hardie <[email-masked]>
Date: Fri, 21 Mar 2014 15:51:30 -0700

Reading through Phillip's draft, I thought it might be useful to summarize
a simpler core statement:

Given large scale passive collection of Internet traffic (the first threat
alluded to in draft-barnes-pervasive-problem-00), making it possible to
confidentially issue DNS queries and receive DNS responses is required to
avoid DNS query traffic leaking data about Internet users.

We may eventually get to active attacks as well, but those aren't likely to
be occurring at the moment because they aren't required; passive monitoring
of a cleartext protocol is enough.

Do we have agreement that this is the core of what we're setting out to do?

Ted

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 21 Mar 2014 22:59:18 +0000

> Do we have agreement that this is the core of what we're setting out to do?

Pretty much. I'd add one thing and a comment or two.

My addition: If whatever we do does not protect current DNS
data and is not easily integrated into current applications
and infrastructure then there is no point in doing anything.

Comments:

- We should include investigating data minimisation as well
as crypto. Not sending data is a fine way of keeping it more
confidential.

- Personally, I think the problem statement is v. good and
well worked out. I also think that the crypto mechanisms that
could be used are obvious. I think the work to be done here is
to see if some combination of those obvious mechanisms can be
put together that'd help with the problem. And that last can
only happen if people will deploy. So I'd see the work here
(or the interesting part of it) to be figuring out if there
are one or more solutions that might get deployed and that
would help. And if there are, then figuring out (and testing
for) pros and cons would be good.

Cheers,
S.

> 
> Ted
> 
> 
> 
> _______________________________________________
> dns-privacy mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dns-privacy
>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 21 Mar 2014 20:59:59 -0400

On Fri, Mar 21, 2014 at 6:51 PM, Ted Hardie <[email-masked]> wrote:
> Reading through Phillip's draft, I thought it might be useful to summarize a
> simpler core statement:
>

I didn't go through the case by case but whether you have protection
against a MITM attack is just a function of whether you authenticate
the key exchange and which credentials you accept.

If we are building on top of established protocols such as TLS for the
key exchange part, this has no impact on the complexity of the
solution. It is in the toolkit already for free.

> and infrastructure then there is no point in doing anything.

+1

There is also a business model dimension.

> as crypto. Not sending data is a fine way of keeping it more

+1 totally.

> only happen if people will deploy.

Which is why I want to make sure that we don't pre-empt possible
early adopter niche markets.

If we can get enterprise customers to tell RedHat or Apple or
Microsoft that they really want a scheme in their product it is very
likely to happen.

So supporting enterprise specific use cases like split horizon DNS
is very important.

> So I'd see the work here

Or we can iterate deltas on one proposal. If someone wants to
do something different and can give a reason I can spin versions
very quickly. Its just putting different schema into the configuralizer.

The only major depature I could see would be working off GSS-API rather
than TLS for the key exchange. That is a defensible point of view but very
much an inside IETF game compared to TLS.

I tried using DTLS, it did nothing useful in this application.

-- 
Website: http://hallambaker.com/

---

From: Stephane Bortzmeyer <[email-masked]>
Date: Mon, 24 Mar 2014 12:21:05 +0100

On Fri, Mar 21, 2014 at 03:51:30PM -0700,
 Ted Hardie <[email-masked]> wrote 

> Do we have agreement that this is the core of what we're setting out to do?

Not for me. The problem is that "active" or "passive" depends on the
layer. According to Snowden files, the NSA is doing _active_ attacks
(injecting packets with QUANTUM, planting malware with FOXACID) for
the purpose of conducting _passive_ data collection.

So, I do not think we should limit ourselves to passive attacks. I
like the idea (in draft-hallambaker-dnse) to have several levels of
security (against a purely passive attacker, against an active
attacker but with a trusted first contact, against an active attacker
in every case, etc).